import React, { PureComponent } from 'react';
import { Input, Icon } from 'antd';

export default class EditableInput extends PureComponent {
  state = {
    value: this.props.value,
    editable: false,
  };
  componentWillReceiveProps(nextProps) {
    this.setState({ value: nextProps.value });
  }
  handleChange = (e) => {
    const { value } = e.target;
    this.setState({ value });
  }
  check = () => {
    this.setState({ editable: false });
    if (this.props.onChange) {
      this.props.onChange(this.state.value);
    }
  }
  edit = () => {
    this.setState({ editable: true });
  }
  render() {
    const { value, editable } = this.state;
    return (
      <Input
        value={value}
        onChange={this.handleChange}
        disabled={!editable}
        addonAfter={
          editable ? (
            <Icon
              type="check"
              onClick={this.check}
            />
          ) : (
            <Icon
              type="edit"
              onClick={this.edit}
            />
          )
        }
      />
    );
  }
}
