import { stringify } from 'qs';
import request from '../utils/request';
import { api, Hotax } from '../utils/config';

export async function queryCmsUserList(params) {
  const newParams = {
    pageSize: Hotax.PAGE_SIZE,
    ...params,
  };
  return request(`${api.cmsUser}?${stringify(newParams)}`);
}

export async function createCmsUserItem(params) {
  const options = {
    method: 'POST',
    body: params,
  };
  return request(`${api.cmsUserItem}`, options);
}

export async function updateCmsUserItem(params) {
  const options = {
    method: 'PUT',
    body: params,
  };
  return request(`${api.cmsUserItem}`, options);
}

export async function deleteCmsUserItem({ id }) {
  const options = {
    method: 'DELETE',
  };
  return request(`${api.cmsUserItem}/${id}`, options);
}
